package gov.va.vss.service.requirement;

import java.util.concurrent.Future;

import gov.va.vss.model.requirement.VolunteerRequirement;

public interface VolunteerRequirementService {

	VolunteerRequirement saveOrUpdate(VolunteerRequirement volunteer);

	void delete(long volunteerRequirementId);

	Future<Integer> bulkAddNecessaryRequirementsLater(Long volunteerIdModified, Long requirementIdModified,
			Long benefitingServiceRoleIdModified, Long benefitingServiceRoleTemplateIdModified);

	int removeUnnecessaryVolunteerRequirementsInNewStatus();

	int updateAllIncorrectStatuses();

}
